curl https://production.methodfi.com/entities/ent_XgYkTdiHyaz3e/verification_sessions \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "identity",
"method": "byo_kyc",
"byo_kyc": {}
}'
const response = await method
.entities("ent_XgYkTdiHyaz3e")
.verificationSessions
.create({
type: "identity",
method: "byo_kyc",
byo_kyc: {},
});
response = method
.entities('ent_XgYkTdiHyaz3e')
.verification_sessions
.create({
'type': 'identity',
'method': 'byo_kyc',
'byo_kyc': {}
})
{
"id": "evf_3VT3bHTCnPbrm",
"entity_id": "ent_XgYkTdiHyaz3e",
"status": "verified",
"type": "identity",
"method": "byo_kyc",
"byo_kyc": {
"authenticated": true
},
"error": null,
"created_at": "2024-04-10T16:40:16.271Z",
"updated_at": "2024-04-10T16:40:16.271Z"
}
Identity Verification
Create a BYO KYC Verification
POST
/
entities
/
{ent_id}
/
verification_sessions
curl https://production.methodfi.com/entities/ent_XgYkTdiHyaz3e/verification_sessions \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "identity",
"method": "byo_kyc",
"byo_kyc": {}
}'
const response = await method
.entities("ent_XgYkTdiHyaz3e")
.verificationSessions
.create({
type: "identity",
method: "byo_kyc",
byo_kyc: {},
});
response = method
.entities('ent_XgYkTdiHyaz3e')
.verification_sessions
.create({
'type': 'identity',
'method': 'byo_kyc',
'byo_kyc': {}
})
{
"id": "evf_3VT3bHTCnPbrm",
"entity_id": "ent_XgYkTdiHyaz3e",
"status": "verified",
"type": "identity",
"method": "byo_kyc",
"byo_kyc": {
"authenticated": true
},
"error": null,
"created_at": "2024-04-10T16:40:16.271Z",
"updated_at": "2024-04-10T16:40:16.271Z"
}
Bring-Your-Own Know-Your-Consumer (BYO KYC) creates a new to inform Method that this Entity’s identity has already been verified via non-Method verifications skipping the identity verification requirement.
This Verification type is restricted and require pre-approval. Contact your Method CSM for more information.
Path Parameters
Body
Returns
Returns an object.curl https://production.methodfi.com/entities/ent_XgYkTdiHyaz3e/verification_sessions \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "identity",
"method": "byo_kyc",
"byo_kyc": {}
}'
const response = await method
.entities("ent_XgYkTdiHyaz3e")
.verificationSessions
.create({
type: "identity",
method: "byo_kyc",
byo_kyc: {},
});
response = method
.entities('ent_XgYkTdiHyaz3e')
.verification_sessions
.create({
'type': 'identity',
'method': 'byo_kyc',
'byo_kyc': {}
})
{
"id": "evf_3VT3bHTCnPbrm",
"entity_id": "ent_XgYkTdiHyaz3e",
"status": "verified",
"type": "identity",
"method": "byo_kyc",
"byo_kyc": {
"authenticated": true
},
"error": null,
"created_at": "2024-04-10T16:40:16.271Z",
"updated_at": "2024-04-10T16:40:16.271Z"
}
⌘I